Subject: bug#32672: 27.0.50; image resize on window resizing

From: Juri Linkov <[email-masked]>
Date: Mon, 17 Sep 2018 02:49:05 +0300

>> I agree that the buffer list is more global than a window, but OTOH
>> it makes sense to use buffer-local hook for a buffer to get notified
>> when it comes to the top of the buffer list.  So this would be a good thing
>> to have, unless there is another hook that gets called when a buffer
>> becomes the current buffer, or at least displayed in a window.
>
> I try to fix the problem you mentioned earlier, namely that
>
>> > it's called only when navigating away from the
>> > image-mode buffer, but not when coming back to the image-mode buffer, e.g.
>> > `C-x <left>', then resize the window, then type `C-x <right>',
>> > it's not called.  Also it's not called in another direction:
>> > `C-x <right>', then resize the window, then type `C-x <left>'.
>
> Please tell me if the attached patch works and what else should be
> done.

I tried but the hook still not called.  Moreover, it broke something:
after `C-x <right>' I need to type `C-x <left>' twice to get back
to the original buffer.